NAME
SYNOPSIS
rmnews
DESCRIPTION
FILES
/etc/imapd.conf

## NAME

rmnews - expunge and remove news articles

## SYNOPSIS

## rmnews

## DESCRIPTION

Rmnews reads article data from the standard input. It then expunges and removes the listed articles. Rmnews is designed to be used by InterNetNews to remove canceled, superseded, and expired news articles.

The input is processed as an INN expirerm file listing or an INN cancel stream written as a ``WC'' entry in the newsfeeds(5) file. This data consists of lines of text, each containing a list of relative article pathnames, with a sin- gle space between entries. If a listed file is contained in an IMAP news mailbox, it is expunged out of that mail- box. In any case, each listed file is unlinked.

Rmnews reads its configuration options out of the imapd.conf(5) file. The optional newsprefix option specifies a prefix to be prepended to newsgroup names to make the corresponding IMAP mailbox names. The required par- tition-news option specifies the pathname prefix to the IMAP news mailboxes. The value of partition-news con- catenated with the dots-to-slashes-converted value of newsprefix must be the pathname of the news spool direc- tory.

## FILES

## /etc/imapd.conf